<style lang="less">
</style>
<template>
  <Processajapproval v-if="type=='ProcessAjApproval'" ref="processajapproval"/>
  <FileCaseApproval v-else-if="type=='FileCase'" ref="fileCaseApproval"/>
  <Preadvance v-else-if="type=='PreRegisterSaveproofApprove'" ref="preadvance"/>
  <ForceMeasures v-else-if="type=='ForceMeasures'" ref="forceMeasures"/>
  <PunishDecision v-else-if="type=='AdministrativePenaltyDecision'" ref="punishDecision"/>
  <Examiantion v-else-if="type=='ExaminationInvestigationTermination'" ref="examiantion"/>
  <ConfiscateProperty v-else-if="type=='AdministrativePenaltyConfiscationProperty'" ref="confiscateProperty"/>
  <FinalReport v-else-if="type=='FinalReport'" ref="finalReport"/>
  <el-dialog v-else
             title=""
             :close-on-click-modal="false" :visible.sync="visible">
    <div class="error404">
      <div class="error404-body-con">
        <el-card class="box-card">
          <div class="error404-body-con-title">4
            <span>0</span>4
          </div>
          <p class="error404-body-con-message">YOU&nbsp;&nbsp;LOOK&nbsp;&nbsp;LOST</p>
          <div class="error404-btn-con">
            <el-button size="large" style="width: 200px;margin-left: 40px;" type="primary" @click="backPage">关 闭
            </el-button>
          </div>
        </el-card>
      </div>
    </div>
  </el-dialog>
</template>

<script>
import Processajapproval from '@/views/process/processajapproval/processajapproval-form'
import FileCaseApproval from '@/views/News/approval/fileCase_approval'
import Preadvance from '@/views/News/approval/approval-advance-registration'
import ForceMeasures from '@/views/News/approval/force_measures_approval'
import PunishDecision from '@/views/News/approval/punish_decision_approval'
import Examiantion from '@/views/News/approval/exam_termination_approval'
import ConfiscateProperty from '@/views/News/approval/confiscateProperty_approval'
import FinalReport from '@/views/News/approval/finalReport_approval'
import pag404 from '@/components/error-page/404'

export default {
  name: "commons",
  components: {
    Processajapproval, pag404, FileCaseApproval,
    Preadvance, ForceMeasures, PunishDecision,
    Examiantion, ConfiscateProperty, FinalReport
  },
  data() {
    return {
      type: "",
      visible: true
    };
  },
  methods: {
    init(t, id) {
      this.type = t;
      this.visible = true;
      this.$nextTick(() => {
        if (this.type == "ProcessAjApproval") {
          this.$refs.processajapproval.init(id);
        } else if (this.type == "FileCase") {
          this.$refs.fileCaseApproval.init(id);
        } else if (this.type == "PreRegisterSaveproofApprove") {
          this.$refs.preadvance.init(id);
        } else if (this.type == "ForceMeasures") {
          this.$refs.forceMeasures.init(id);
        } else if (this.type == "AdministrativePenaltyDecision") {
          this.$refs.punishDecision.init(id);
        } else if (this.type == "ExaminationInvestigationTermination") {
          this.$refs.examiantion.init(id);
        } else if (this.type == "AdministrativePenaltyConfiscationProperty") {
          this.$refs.confiscateProperty.init(id);
        } else if (this.type == "FinalReport") {
          this.$refs.finalReport.init(id);
        }

      });


    },
    backPage() {
      this.visible = false;
    }
  }
};

</script>
<style lang="scss" scoped>
@keyframes error404animation {
  0% {
    transform: rotateZ(0deg);
  }
  20% {
    transform: rotateZ(-60deg);
  }
  40% {
    transform: rotateZ(-10deg);
  }
  60% {
    transform: rotateZ(50deg);
  }
  80% {
    transform: rotateZ(-20deg);
  }
  100% {
    transform: rotateZ(0deg);
  }
}

.error404 {
  &-body-con {
    width: 700px;
    height: 500px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);

    &-title {
      text-align: center;
      font-size: 240px;
      font-weight: 700;
      color: #2d8cf0;
      height: 260px;
      line-height: 260px;
      margin-top: 40px;

      span {
        display: inline-block;
        color: #19be6b;
        font-size: 230px;
        animation: error404animation 3s ease 0s infinite alternate;
      }
    }

    &-message {
      display: block;
      text-align: center;
      font-size: 30px;
      font-weight: 500;
      letter-spacing: 12px;
      color: #dddde2;
    }
  }

  &-btn-con {
    text-align: center;
    padding: 20px 0;
    margin-bottom: 40px;
  }
}
</style>

